# eric3.UI.CodeMetricsDialog

Module implementing a code metrics dialog.

### Classes

CodeMetricsDialog | Class implementing a dialog to display the code metrics.

### Functions

None

## CodeMetricsDialog

Class implementing a dialog to display the code metrics.

### Derived from

CodeMetricsForm

### Methods

CodeMetricsDialog | Constructor
buttonPressed | Private slot connected to the button clicked signal.
finish | Private slot called when the action finished or the user pressed the button.
start | Public slot to start the code metrics determination.

### CodeMetricsDialog (Constructor)

CodeMetricsDialog(parent = None)

Constructor

parent
  parent widget (QWidget)

### CodeMetricsDialog.buttonPressed

buttonPressed()

Private slot connected to the button clicked signal.

### CodeMetricsDialog.finish

finish()

Private slot called when the action finished or the user pressed the button.

### CodeMetricsDialog.start

start(fn)

Public slot to start the code metrics determination.

fn
  file or list of files or directory to be show the code metrics for (string or list of strings)

Up